﻿.card {
  padding-bottom: 20px;
}

.card-block {
  padding-bottom: 20px;
}

/* Formulario */
.card-header {
  background-color: var(--secondaryA1-color);
  padding: 0.2em 1em;
  font-size: 1.1em;
  font-family: var(--font-bree-serif);
  color: var(--white-color);
  margin-left: 3em;
  border-radius: 0.5em 0.5em 0em 0em;
  width: 15em;
  min-width: fit-content;
}
@media (max-width: 382px) {
  .card-header {
    margin-left: 1em;
  }
}

.card {
  box-shadow: none;
}

.card-body {
  border: 0.15em solid var(--primaryA-color);
  border-radius: 8px;
  padding: 2.5em;
}

.tab-title {
  display: block;
}

.form-label {
  font-weight: 500;
  color: #003366;
}

.labelInputContainer {
  position: relative;
  width: 100%;
  font-family: var(--font-sf-regular);
  border-radius: 0.9em;
}

.labelInput {
  pointer-events: none;
  font-size: 0.75em;
  position: absolute;
  top: 0.1em;
  left: 1.25em;
  z-index: 100;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: calc(100% - 1.5em);
}
.labelInputTerminos {
  font-size: 0.75em;
  position: absolute;
  top: 0.1em;
  left: 1.25em;
  z-index: 100;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: calc(100% - 1.5em);
}
.labelInputContainer .form-control:not(textarea) {
  background: var(--bluegrey-color);
  padding: 20px 16px 10px 16px !important;
  font-family: var(--font-sf-regular);
  height: 3em !important;
  border-radius: 0.9em !important;
}

.labelSelectContainer {
  position: relative;
  width: 100%;
  font-family: var(--font-sf-regular);
  border-radius: 0.9em;
}

.labelSelectContainer::after {
  content: "";
  position: absolute;
  top: 0.5em;
  right: 10px;
  pointer-events: none;
  background-image: url(/Content/img/cmdpdiseno/select-icon.png);
  height: 1em;
  width: 1em;
  z-index: 100;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.labelSelectContainer__multiple::after {
  right: 20px;
}

.ivo-datepicker::after {
  background-image: url(/Content/img/cmdpdiseno/calendar-icon.png);
}

.ivo-datepicker.labelSelectContainer .form-control {
  padding-right: 12px !important;
}

.labelSelectContainer .form-control {
  background: var(--bluegrey-color);
  padding: 14px 30px 0px 14px !important;
  font-family: var(--font-sf-regular);
  height: 3em !important;
  border-radius: 0.9em !important;
  width: 100%;
  font-size: 0.75em;
  cursor: pointer;
  text-overflow: ellipsis;

  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.labelSelectContainer .labelInput {
  width: calc(100% - 45px);
}

.labelSelectContainer__multiple .labelInput,
.labelTextareaContainer .labelInput {
  width: calc(100% - 42px);
  box-shadow: 0 15px 0 0 var(--bluegrey-color) inset,
    -1px -1px 0 0 var(--bluegrey-color);
  -webkit-box-shadow: 0 15px 0 0 var(--bluegrey-color) inset,
    -1px -1px 0 0 var(--bluegrey-color);
  -moz-box-shadow: 0 15px 0 0 var(--bluegrey-color) inset,
    -1px -1px 0 0 var(--bluegrey-color);
}

.ivo-datepicker input[type="date"]::-webkit-calendar-picker-indicator {
  opacity: 0;
}
.ivo-datepicker input[type="date"]::-moz-calendar-picker-indicator {
  opacity: 0;
}
.ivo-datepicker input[type="date"]::-ms-clear {
  opacity: 0;
}

button[type="submit"] {
  width: 15% !important;
}
/*.input-group, .form-group {
    margin-bottom: 10px;
    width: 85%;
    margin-left: 15%;
    min-height: 60px;
}*/

.cardMedium {
  width: 23.125em; /* Ajusta el tamaño según sea necesario */
  max-width: 100%;
  /*max-width: 370px;*/ /* Limita el tamaño máximo de la tarjeta */
  text-align: center; /* Centra el texto dentro de la tarjeta */
  margin: auto;
  margin-bottom: 1em;
}

.checkboxContainer {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 0.8em;
}

.checkboxContainer .labelInput {
  position: static;
}

@media (max-width: 767px) {
  .checkboxContainer {
    grid-template-columns: 1fr;
  }
}

.alertas-content {
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-wrap: wrap;
  gap: 0.5em 1em;
}

.alertas-content .fa {
  height: 60px;
  line-height: 1;
}

.alertas-content h3 {
  line-height: 0.7;
}

.w-100 {
  width: 100%;
}

textarea,
textarea.form-control {
  font-family: var(--font-sf-regular);
  width: 100%;
  height: 7em;
  padding: 1em;
  border: none;
  border-radius: 0.9em !important;
  background-color: var(--bluegrey-color);
  font-size: 12px;
  color: #2c2c2c;
  resize: none; /* Evita que se pueda redimensionar */
  line-height: 1.3;
  padding: 1.5em 1.3em !important;
}

select[multiple],
select[multiple].form-control {
  height: 8em !important;
}

select[multiple] option,
select[multiple].form-control option {
  overflow: hidden;
  text-overflow: ellipsis;
}

textarea:focus {
  outline: none;
}

.file-upload {
  font-family: var(--font-sf-regular);
  width: 100%;
  display: inline-block;
  position: relative;
  overflow: hidden;
  cursor: pointer;
  background-color: var(--bluegrey-color);
  padding: 0.95em;
  border-radius: 0.9em;
  font-size: 0.9em;
  color: #2c2c2c;
  transition: background-color 0.3s ease;
  height: 40px;
}
.file-upload input[type="file"] {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  cursor: pointer;
  padding: 1.3em;
  padding-left: 7.2em;
}

.file-upload input[type="file"].form-control:focus {
  outline: none;
  border-color: transparent;
}
/* .file-upload:hover {
  background-color: var(--bluegrey-color-hover);
} */

.file-upload::after {
  content: "";
  position: absolute;
  top: 0.8em;
  right: 1em;
  pointer-events: none;
  background-image: url(/Content/img/cmdpdiseno/icon-clip.png);
  height: 1.2em;
  width: 1.2em;
  z-index: 10;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.file-upload--span {
  background-color: var(--bluegrey-color);
  font-size: 12px;
  z-index: 10;
}

.file-feedback {
  font-size: 0.8em;
  margin-top: -1em;
  margin-left: 1em;
  display: none;
}
.file-feedback.show {
  display: block;
}

.file-name {
  position: absolute;
  left: 1em;
  top: 1.1em;
  display: none;
}
.file-name.show {
  display: block;
}

.fileDowload {
  position: relative;
}

.fileDowload--button {
  position: absolute;
  top: 0.1em;
  right: 0.8em;
  z-index: 10;
}

.fileDowload--img {
  height: 1.2em;
  width: 1.2em;
}

.fileDowload.labelInputContainer .form-control:not(textarea) {
  padding-right: 3em !important;
}
